SDL_Hint Struct Reference
Collaboration diagram for SDL_Hint:
[legend]

## Data Fields

char * | name
char * | value
SDL_HintPriority | priority
SDL_HintWatch * | callbacks
struct SDL_Hint * | next

## Detailed Description

Definition at line 36 of file SDL_hints.c.

## Field Documentation

## callbacks

SDL_HintWatch* SDL_Hint::callbacks

Definition at line 40 of file SDL_hints.c.

Referenced by SDL_AddHintCallback(), SDL_ClearHints(), SDL_DelHintCallback(), and SDL_SetHintWithPriority().

## name

char* SDL_Hint::name

Definition at line 37 of file SDL_hints.c.

Referenced by SDL_AddHintCallback(), SDL_ClearHints(), SDL_DelHintCallback(), SDL_GetHint(), and SDL_SetHintWithPriority().

## next

struct SDL_Hint* SDL_Hint::next

Definition at line 41 of file SDL_hints.c.

Referenced by SDL_AddHintCallback(), SDL_ClearHints(), SDL_DelHintCallback(), SDL_GetHint(), and SDL_SetHintWithPriority().

## priority

SDL_HintPriority SDL_Hint::priority

Definition at line 39 of file SDL_hints.c.

Referenced by SDL_AddHintCallback(), SDL_GetHint(), and SDL_SetHintWithPriority().

## value

char* SDL_Hint::value

Definition at line 38 of file SDL_hints.c.

Referenced by SDL_AddHintCallback(), SDL_ClearHints(), SDL_GetHint(), and SDL_SetHintWithPriority().

The documentation for this struct was generated from the following file:

- src/SDL_hints.c